Bug 30039 - Add publication date column to serial claims table
Summary: Add publication date column to serial claims table
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Victor Grousset/tuxayo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-07 19:00 UTC by Lucas Gass
Modified: 2022-08-26 13:52 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.05


Attachments
Bug 30039: Add published on column to claims.pl (4.96 KB, patch)
2022-02-07 19:09 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 30039: Add published on column to claims.pl (5.00 KB, patch)
2022-05-12 13:47 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30039: Add published on column to claims.pl (5.56 KB, patch)
2022-07-17 21:42 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 30039: Add published on column to claims.pl (5.62 KB, patch)
2022-07-18 20:21 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 30039: (QA follow-up) Change published on to publication date (2.40 KB, patch)
2022-07-18 20:21 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2022-02-07 19:00:16 UTC
It would be handy if there was a 'Published on' column on the Missing issues table ( #claimst ) on claims.tt

There is already a 'Since' column corresponding to serial.planneddate. Thh 'Published on' column would correspond to serial.publisheddate
Comment 1 Lucas Gass 2022-02-07 19:09:50 UTC
Created attachment 130248 [details] [review]
Bug 30039: Add published on column to claims.pl

To test:
1. Have a vendor setup
2. Go to serials and add a new serial w/ that vendor.
3. When creating a serial make this first issues sometime in the past.
4. Go to Claims, choose your vendor and load the table.
5. No published on column.
6. Apply patch
7. Try step 4 again and now you should see a published on column.
Comment 2 Owen Leonard 2022-05-12 13:47:44 UTC
Created attachment 134928 [details] [review]
Bug 30039: Add published on column to claims.pl

To test:
1. Have a vendor setup
2. Go to serials and add a new serial w/ that vendor.
3. When creating a serial make this first issues sometime in the past.
4. Go to Claims, choose your vendor and load the table.
5. No published on column.
6. Apply patch
7. Try step 4 again and now you should see a published on column.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Jonathan Druart 2022-05-31 08:06:21 UTC
Isn't this table already too large? Shouldn't we add the table settings then?
Comment 4 Lucas Gass 2022-05-31 13:48:27 UTC
(In reply to Jonathan Druart from comment #3)
> Isn't this table already too large? Shouldn't we add the table settings then?

We should add table settings, yes. I filed Bug 30872.
Comment 5 Victor Grousset/tuxayo 2022-07-17 21:42:36 UTC
Created attachment 137799 [details] [review]
Bug 30039: Add published on column to claims.pl

To test:
1. Have a vendor setup
2. Go to serials and add a new serial w/ that vendor.
3. When creating a serial make this first issues sometime in the past.
4. Go to Claims, choose your vendor and load the table.
5. No published on column.
6. Apply patch
7. Try step 4 again and now you should see a published on column.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 6 Victor Grousset/tuxayo 2022-07-17 21:43:04 UTC
Rebased
Comment 7 Victor Grousset/tuxayo 2022-07-17 21:47:29 UTC
How does on populate the "published on" column? To check that it's indeed displayed and that search works.

Otherwise it looks good for QA
Comment 8 Katrin Fischer 2022-07-18 20:15:58 UTC
(In reply to Victor Grousset/tuxayo from comment #7)
> How does on populate the "published on" column? To check that it's indeed
> displayed and that search works.
> 
> Otherwise it looks good for QA

"Published on" is the date the claimed issue was supposed to be published. I am adding a follow-up to rename the column to 'Publication date' - I think as we are claiming something that has not arrived that might work a little better.
Comment 9 Katrin Fischer 2022-07-18 20:21:51 UTC
Created attachment 137843 [details] [review]
Bug 30039: Add published on column to claims.pl

To test:
1. Have a vendor setup
2. Go to serials and add a new serial w/ that vendor.
3. When creating a serial make this first issues sometime in the past.
4. Go to Claims, choose your vendor and load the table.
5. No published on column.
6. Apply patch
7. Try step 4 again and now you should see a published on column.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2022-07-18 20:21:56 UTC
Created attachment 137844 [details] [review]
Bug 30039: (QA follow-up) Change published on to publication date

As the issue might not have been published yet, but should have
been that seemed a better fit.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Tomás Cohen Arazi 2022-07-20 12:59:57 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 12 Lucas Gass 2022-08-23 19:57:16 UTC
Backported to 22.05.x for 22.05.05
Comment 13 Arthur Suzuki 2022-08-26 13:47:45 UTC
lots of conflicts on templates.
Can you provide a backport patch for 21.11 if needed?
Comment 14 Lucas Gass 2022-08-26 13:52:50 UTC
(In reply to Arthur Suzuki from comment #13)
> lots of conflicts on templates.
> Can you provide a backport patch for 21.11 if needed?

We don't need this one to be backported to 21.11.